Overview | Modules | Class Hierarchy | Classes | Members

Classes | Namespaces | Functions
Circle.h File Reference
`#include <vector>`
`#include <tulip/Vector.h>`
`#include "cxx/Circle.cxx"`
Include dependency graph for Circle.h:

## Classes

- struct tlp::Circle< Obj >
    class for circle More...

## Namespaces

- namespace tlp

## Functions

- template<typename Obj > bool tlp::intersection (const Circle< Obj > &c1, const Circle< Obj > &c2, Vector< Obj, 2 > &sol1, Vector< Obj, 2 > &sol2)
- template<typename Obj > Circle< Obj > tlp::enclosingCircle (const Circle< Obj > &, const Circle< Obj > &)
- template<typename Obj > Circle< Obj > tlp::enclosingCircle (const std::vector< Circle< Obj > > &circles)
- template<typename Obj > Circle< Obj > tlp::lazyEnclosingCircle (const std::vector< Circle< Obj > > &circles)
- template<typename Obj > std::ostream & tlp::operator<< (std::ostream &os, const Circle< Obj > &)

Tulip Software by LaBRI Visualization Team 2001 - 2012